%define	upstream_name	 IO-Multiplex
%define	upstream_version 1.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Manage IO on many file handles
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildArch:  noarch

%description
IO::Multiplex is designed to take the effort out of managing
multiple file handles.  It is essentially a really fancy front end to
the C<select> system call.  In addition to maintaining the C<select>
loop, it buffers all input and output to/from the file handles.  It
can also accept incoming connections on one or more listen sockets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes META.yml README TODO
%{perl_vendorlib}/IO
%{_mandir}/man*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.130.0-2.mga3
+ Revision: 368527
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 jquelin <jquelin> 1.130.0-1.mga1
+ Revision: 88525
- update to 1.13

* Mon Feb 28 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 61465
- update to 1.12
- update to 1.12

* Sat Feb 26 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 60234
- rebuild
- update to 1.11

* Tue Jan 18 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 23330
- cleaning spec file
- imported package perl-IO-Multiplex

